Details

      Description

      Create a upgrade process so that future releases of Social Office can be upgraded.

      Currently upgrades are only supported from Social Office 1.5.0B or newer to Social Office 1.5.0RC or newer. Older versions of Social Office have not been tested with the upgrade process.

      UPGRADE NOTES:

      Users upgrading from Social Office 1.5.0B will need to manually set the Portal's "update.processes" property because Social Office 1.5.0B reports its version incorrectly. Only include "com.liferay.portal.upgrade.UpgradeProcess_5_2_6" and newer. For example, to upgrade from Social Office 1.5.0B to Social Office 1.5.0RC:

      upgrade.processes=\
      com.liferay.portal.upgrade.UpgradeProcess_5_2_6,\
      com.liferay.portal.upgrade.UpgradeProcess_5_2_7

      Though not required, it is highly recommended that this property be restored to its original value after upgrade.

        Attachments

          Activity

            People

            • Assignee:
              ryan.park Ryan Park
              Reporter:
              ryan.park Ryan Park
              Participants of an Issue:
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Days since last comment:
                9 years, 35 weeks, 3 days ago

                Packages

                Version Package
                1.5RC
                1.6.0